## qtwebengine-opensource-src 5.15.2+dfsg

=== debian/changelog ===
qtwebengine-opensource-src (5.15.2+dfsg-lnd.3) unstable; urgency=medium

  * Fix some error because update tools.

 -- Jianjun Han <hanjianjun@loongson.cn>  Tue, 1 Mar 2022 15:48:03 +0800

qtwebengine-opensource-src (5.15.2+dfsg-lnd.2) unstable; urgency=medium

  * Fix loss icudtl.dat file error.

 -- Caohuixiong <caohuixiong@loongson.cn> Thu, 13 May 2021 10:42:03 +0800

qtwebengine-opensource-src (5.15.2+dfsg-lnd.1) unstable; urgency=medium

  * Port QtWebengine Module to Architechture LoongArch64.

 -- Caohuixiong <caohuixiong@loongson.cn> Thu, 14 Jan 2021 01:34:03 +0800

qtwebengine-opensource-src (5.15.2+dfsg-3) unstable; urgency=medium

  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Dec 2020 11:32:35 +0300

qtwebengine-opensource-src (5.15.2+dfsg-2) experimental; urgency=medium

  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 26 Nov 2020 20:27:35 +0300

qtwebengine-opensource-src (5.15.2+dfsg-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.
  * Bump Qt build-dependencies to 5.15.2.
  * Bump ABI version to qtwebengine-abi-5-15-2.
  * Drop patches that are included in the new release:
    - webrtc-crash.patch
    - compile-pdf-examples.patch
  * Refresh and rebase other patches.
  * Stop adding -Wl,--as-needed to LDFLAGS, it is default in Bullseye.
  * Update Files-Excluded and touch_files for upstream path changes.
  * Build-depend only on the needed documentation tools, not on the
    large qttools5-dev-tools package.
  * Add more license variations to debian/scripts/update-copyright.
  * Update debian/copyright using the script and manually.
  * Update symbols files from the current build log.

  [ Alexander Volkov ]
  * Build-depend on libxcb-dri3-dev, which is required by chromium.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 25 Nov 2020 20:23:28 +0300

qtwebengine-opensource-src (5.15.1+dfsg-5) unstable; urgency=medium

  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Oct 2020 21:54:24 +0300
