## qtwebengine-opensource-src 5.15.3+dfsg

=== debian/changelog ===
qtwebengine-opensource-src (5.15.3+dfsg-5ubuntu1) hirsute; urgency=medium

  * Copy polymer_bundled.js to polymer_bundled.min.js, to unbreak PDF viewer
    (LP: #1926089).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 12 Aug 2021 20:49:00 +0300

qtwebengine-opensource-src (5.15.3+dfsg-5) experimental; urgency=medium

  * Add support for mips64el architecture:
    - Make mipsel-no-dav1d.patch apply to mips64el too.
    - Add a patch from Ma Aiguo to make crashpad build on mips64el.
    - Backport upstream patch to fix bad define in linux_syscall_support.h.
    - Add mips64el to supported architectures in debian/control.
  * Update symbols files from buildds’ and the current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 06 Apr 2021 13:47:37 +0300

qtwebengine-opensource-src (5.15.3+dfsg-4) experimental; urgency=medium

  * Disable jumbo builds to reduce memory consumption.
  * Add a patch to further reduce memory consumption on mipsel.
  * Remove non-working and/or obsolete code from debian/rules.
  * For Ubuntu, build with -j2 on amd64 like on arm64.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 01 Apr 2021 16:02:12 +0300

qtwebengine-opensource-src (5.15.3+dfsg-3) experimental; urgency=medium

  * Add a patch to make breakpad use system getcontext instead of its own,
    to fix build on mipsel.
  * Make Chromium sandbox code compatible with glibc 2.33:
    - Extend sandbox-time64-syscalls.patch to handle statx and time64
      (patch by Fabian Vogt from openSUSE).
    - Add new patch sandbox-fstatat-syscalls.patch to handle newfstatat
      and fstatat64 syscalls (by Kevin Kofler from Fedora).
  * Update symbols files from buildds’ and the current build logs.
  * Use $NINJAJOBS instead of $NINJAFLAGS for passing the -j flag.
  * Clean up unused variables in debian/rules.
  * Actually add CVE-2021-21193.patch to debian/patches/series.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 22 Mar 2021 21:29:23 +0300

qtwebengine-opensource-src (5.15.3+dfsg-2) experimental; urgency=medium

  * Fix the command to change CMake dependencies versions.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 16 Mar 2021 12:20:42 +0300

qtwebengine-opensource-src (5.15.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Add get-orig-source target (as upstream no longer publishes tarballs).
  * Update Files-Excluded and touch_files for the new release.
  * Refresh and rebase patches for the new release.
  * Add new overrides/ignores to debian/scripts/update-copyright.
  * Update debian/copyright using the script and manually.
  * Bump ABI version to qtwebengine-abi-5-15-3.
  * Build-depend on nodejs, required by Chromium 87.
  * Stop using closure-compiler, Debian has an ancient version that doesn't
    support template literals.
  * Remove yasm build-dependency, Chromium no longer uses it.
    - Also remove run-unbundling-script.patch which was used to unbundle it.
  * Remove a non-DFSG benchmark file (jsmin.py) from build inputs.
  * Copy system d3.min.js and pako.min.js to replace the excluded files.
  * Stop excluding jszip.min.js, add its source code to missing-sources.
  * Add a patch to use python2 instead of unversioned python.
  * Build-depend on node-yargs, required by generate_html_entrypoint.js.
  * Do not exclude some parts of node_modules that are used during build.
  * Build-depend on rollup and node-rollup-plugins-terser.
  * Run syncqt.pl before build, to get the header files generated.
  * Backport upstream patch to fix normalization of app locales.
  * Update mocha in missing-sources to the actually used version.
  * Update symbols files from the current build log.
  * Fix/override some new Lintian source-is-missing errors.
  * Do not require matching versions of Qt dependencies in CMake files.
  * Do not hardcode x86_64-linux-gnu in lintian-overrides.
  * Backport fix for CVE-2021-21193 from upstream Chromium.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 15 Mar 2021 21:45:48 +0300
