=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: qtwebengine-opensource-src
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Sandro Knauß <hefee@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: binutils (>= 2.31),
+Build-Depends: binutils (>= 2.32-8~),
                bison,
                chrpath,
-               closure-compiler,
-               debhelper-compat (= 11),
+               debhelper-compat (= 13),
                flex,
                gperf,
                khronos-api,
@@ -24,7 +24,7 @@
                libevent-dev,
                libflac-dev,
                libfontconfig1-dev,
-               libgl-dev (>= 1.3) [!armel !armhf !mips64el !loongarch64],
+               libgl-dev (>= 1.3) [!armel !armhf],
                libgl1-mesa-dri,
                libgles-dev [armel armhf],
                libglib2.0-dev,
@@ -32,13 +32,14 @@
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
                libharfbuzz-dev,
-               libicu-dev (>= 63~),
+               libicu-dev (>= 64~),
                libjpeg-dev,
+               libjs-d3,
                libjsoncpp-dev,
                liblcms2-dev,
                libminizip-dev,
                libnss3-dev,
-               libopus-dev (>= 1.3),
+               libopus-dev (>= 1.3.1),
                libpci-dev,
                libpng-dev,
                libprotobuf-dev,
@@ -50,7 +51,7 @@
                libsnappy-dev,
                libsqlite3-dev,
                libusb-1.0-0-dev,
-               libvpx-dev (>= 1.7),
+               libvpx-dev (>= 1.8),
                libwebp-dev,
                libx11-xcb-dev,
                libxcb-dri3-dev,
@@ -66,6 +67,10 @@
                libxtst-dev,
                mesa-common-dev,
                ninja-build,
+               node-pako,
+               node-rollup-plugin-terser,
+               node-yargs,
+               nodejs,
                pkg-config,
                pkg-kde-tools,
                protobuf-compiler,
@@ -77,10 +82,10 @@
                qtquickcontrols2-5-dev (>= 5.15.2+dfsg~),
                qttools5-dev (>= 5.15.2~),
                re2c,
+               rollup,
                ruby,
                xauth,
                xvfb,
-               yasm [amd64 i386],
                yui-compressor
 Build-Depends-Indep: qdoc-qt5 (>= 5.15.2~) <!nodoc>,
                      qhelpgenerator-qt5 (>= 5.15.2~) <!nodoc>,
@@ -92,7 +97,7 @@
 Homepage: https://doc.qt.io/qt-5/qtwebengine-index.html
 
 Package: qtwebengine5-dev
-Architecture: amd64 arm64 armhf i386 mipsel mips64el loongarch64
+Architecture: amd64 arm64 armhf i386 mips64el mipsel
 Multi-Arch: same
 Section: libdevel
 Depends: libqt5webchannel5-dev,
@@ -113,7 +118,7 @@
  using QtWebEngine library.
 
 Package: qtwebengine5-private-dev
-Architecture: amd64 arm64 armhf i386 mipsel mips64el loongarch64
+Architecture: amd64 arm64 armhf i386 mips64el mipsel
 Multi-Arch: same
 Section: libdevel
 Depends: qtwebengine5-dev (= ${binary:Version}), ${misc:Depends}
@@ -125,7 +130,7 @@
  Qt 5 applications using QtWebEngine library.
 
 Package: qtpdf5-dev
-Architecture: amd64 arm64 armhf i386 mipsel mips64el loongarch64
+Architecture: amd64 arm64 armhf i386 mips64el mipsel
 Multi-Arch: same
 Section: libdevel
 Depends: libqt5pdf5 (= ${binary:Version}),
@@ -140,7 +145,7 @@
  using Qt PDF library.
 
 Package: libqt5webengine5
-Architecture: amd64 arm64 armhf i386 mipsel mips64el loongarch64
+Architecture: amd64 arm64 armhf i386 mips64el mipsel
 Multi-Arch: same
 Depends: libqt5webengine-data (= ${source:Version}),
          ${misc:Depends},
@@ -153,9 +158,9 @@
  This package contains the QtWebEngine library.
 
 Package: libqt5webenginecore5
-Architecture: amd64 arm64 armhf i386 mipsel mips64el loongarch64
-Multi-Arch: same
-Provides: qtwebengine-abi-5-15-2
+Architecture: amd64 arm64 armhf i386 mips64el mipsel
+Multi-Arch: same
+Provides: qtwebengine-abi-5-15-3
 Depends: libqt5webengine-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -169,7 +174,7 @@
  This package contains the core QtWebEngine library.
 
 Package: libqt5webenginewidgets5
-Architecture: amd64 arm64 armhf i386 mipsel mips64el loongarch64
+Architecture: amd64 arm64 armhf i386 mips64el mipsel
 Multi-Arch: same
 Depends: libqt5webengine-data (= ${source:Version}),
          ${misc:Depends},
@@ -182,7 +187,7 @@
  This package contains the widget QtWebEngine library.
 
 Package: libqt5pdf5
-Architecture: amd64 arm64 armhf i386 mipsel mips64el loongarch64
+Architecture: amd64 arm64 armhf i386 mips64el mipsel
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 PDF library
@@ -191,7 +196,7 @@
  This package contains the Qt PDF library.
 
 Package: libqt5pdfwidgets5
-Architecture: amd64 arm64 armhf i386 mipsel mips64el loongarch64
+Architecture: amd64 arm64 armhf i386 mips64el mipsel
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 PDF Widgets library
@@ -211,7 +216,7 @@
  This package contains the arch independent parts of QtWebEngine libraries.
 
 Package: qt5-image-formats-plugin-pdf
-Architecture: amd64 arm64 armhf i386 mipsel mips64el loongarch64
+Architecture: amd64 arm64 armhf i386 mips64el mipsel
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 PDF image format plugin
@@ -221,7 +226,7 @@
  to view PDF files (the first page of PDF will be shown).
 
 Package: qml-module-qtwebengine
-Architecture: amd64 arm64 armhf i386 mipsel mips64el loongarch64
+Architecture: amd64 arm64 armhf i386 mips64el mipsel
 Multi-Arch: same
 Depends: qml-module-qtquick2, ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -232,7 +237,7 @@
  This package contains the WebEngine QML module for QtDeclarative.
 
 Package: qml-module-qtquick-pdf
-Architecture: amd64 arm64 armhf i386 mipsel mips64el loongarch64
+Architecture: amd64 arm64 armhf i386 mips64el mipsel
 Multi-Arch: same
 Depends: qml-module-qtgraphicaleffects (>= 5.12),
          qml-module-qtquick-controls2 (>= 5.14),
@@ -249,7 +254,7 @@
  This package contains the Qt Quick PDF QML module.
 
 Package: qtwebengine5-dev-tools
-Architecture: amd64 arm64 armhf i386 mipsel mips64el loongarch64
+Architecture: amd64 arm64 armhf i386 mips64el mipsel
 Multi-Arch: foreign
 Section: devel
 Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
@@ -262,7 +267,7 @@
  in Qt WebEngine.
 
 Package: qtwebengine5-examples
-Architecture: amd64 arm64 armhf i386 mipsel mips64el loongarch64
+Architecture: amd64 arm64 armhf i386 mips64el mipsel
 Multi-Arch: same
 Depends: libjs-jquery,
          libjs-marked,
@@ -282,7 +287,7 @@
  This package contains the WebEngine examples.
 
 Package: qtpdf5-examples
-Architecture: amd64 arm64 armhf i386 mipsel mips64el loongarch64
+Architecture: amd64 arm64 armhf i386 mips64el mipsel
 Multi-Arch: same
 Depends: qml-module-qtquick-pdf (= ${binary:Version}),
          ${misc:Depends},
