=== debian/rules ===
--- 
+++ 
@@ -19,34 +19,32 @@
 export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 export QT_SELECT := qt5
 
-VERSION_CLEAN_UPSTREAM = $(call dpkg_late_eval,VERSION_CLEAN_UPSTREAM,echo '$(DEB_VERSION_UPSTREAM)' | sed -e 's/\(~\|+\).*//')
-
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-
 ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
-ifeq ($(DEB_HOST_ARCH),arm64)
-	export NINJAFLAGS += -j2
+ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64))
+	export NINJAJOBS = -j2
 endif
 endif
 
 gstab_architectures :=
 fulldebug_architectures :=
-disabled_jit_architectures := armel mips mipsel mips64el loongarch64
-disabled_pch_architectures := amd64 powerpc s390x
 
 small_architectures := armhf mipsel
-no_gold_architectures := arm64 armhf mipsel mips64el loongarch64
+no_gold_architectures := arm64 armhf mipsel
 
 config_args = -proprietary-codecs \
+              -feature-webengine-system-libvpx \
+              -webengine-jumbo-build 0 \
+              -system-ffmpeg \
+              -system-opus \
               -system-webp \
+              -system-webengine-icu
 
 touch_files = src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/third_party/lighthouse/lighthouse-dt-bundle.js \
 	      src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/third_party/lighthouse/report-assets/report-generator.js \
 	      src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/diff/diff_match_patch.js \
-	      src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/formatter_worker/acorn/acorn.js \
+	      src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/third_party/acorn/package/dist/acorn.js \
 	      src/3rdparty/chromium/third_party/polymer/v3_0/components-chromium/polymer/polymer_bundled.min.js \
-	      src/3rdparty/chromium/third_party/web-animations-js/sources/web-animations-next-lite.min.js 
+	      src/3rdparty/chromium/third_party/web-animations-js/sources/web-animations-next-lite.min.js
 
 %:
 	dh $@ --with pkgkde_symbolshelper
@@ -61,7 +59,6 @@
 	rm -rf $(CURDIR)/docs
 	rm -rf $(CURDIR)/.local
 	rm -f $(CURDIR)/src/3rdparty/chromium/third_party/jstemplate/jstemplate_compiled.js
-	rm -f $(CURDIR)/src/3rdparty/chromium/third_party/mocha/mocha.js
 	rm -f $(CURDIR)/examples/webenginewidgets/contentmanipulation/jquery*.js
 
 	for fname in $(touch_files); do \
@@ -93,17 +90,6 @@
 	echo "QT_CONFIG -= separate_debug_info" >> .qmake.conf
 endif
 
-# Disable JIT on selected architectures
-ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(disabled_jit_architectures)))
-	echo "QMAKE_CXXFLAGS += -DENABLE_JIT=0" >> .qmake.conf
-endif
-
-# Disable header precompliation as it creates invalid includes on certain
-# architectures causing build failure. LP: 1395661
-ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(disabled_pch_architectures)))
-	echo "CONFIG -= precompile_header" >> .qmake.conf
-endif
-
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(small_architectures)))
 	echo "QMAKE_CXXFLAGS += --param ggc-min-expand=20" >> .qmake.conf
 	echo "QMAKE_CFLAGS += --param ggc-min-expand=20" >> .qmake.conf
@@ -127,22 +113,21 @@
 
 	# Create js files, that are needed for building step for arch and indep builds
 	cd $(CURDIR)/src/3rdparty/chromium/third_party/jstemplate/; \
-		closure-compiler --compilation_level ADVANCED_OPTIMIZATIONS \
-		--js util.js \
-		--js jsevalcontext.js \
-		--js jstemplate.js \
-		--js exports.js \
-		--js_output_file jstemplate_compiled.js
+		cat util.js jsevalcontext.js jstemplate.js exports.js > jstemplate_compiled.js
 
 	>examples/webenginewidgets/contentmanipulation/jquery.js cat debian/missing-sources/jquery-*.js
 	yui-compressor --type js "examples/webenginewidgets/contentmanipulation/jquery.js" -o "examples/webenginewidgets/contentmanipulation/jquery.min.js"
-	>src/3rdparty/chromium/third_party/mocha/mocha.js tar xaf debian/missing-sources/mocha*.tar.gz --wildcards --to-stdout '*/mocha.js'
 
+	cp /usr/share/nodejs/pako/dist/pako.min.js src/3rdparty/chromium/third_party/catapult/tracing/third_party/pako/
+	cp /usr/share/javascript/d3/d3.min.js src/3rdparty/chromium/third_party/catapult/tracing/third_party/d3/
 
 	set -ex; for fname in $(touch_files); do \
 		mkdir -p $(CURDIR)/$$(dirname $${fname}); \
 		touch $(CURDIR)/$${fname}; \
 	done
+	cd src/3rdparty/chromium/third_party/polymer/v3_0/components-chromium/polymer && cp polymer_bundled.js polymer_bundled.min.js
+
+	/usr/lib/qt5/bin/syncqt.pl Source -version ${DEB_VERSION_UPSTREAM:+dfsg=}
 
 override_dh_auto_build-arch:
 	dh_auto_build -- -Onone
@@ -163,6 +148,12 @@
 
 	# Remove libtool-like files
 	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
+
+	# Do not require matching versions of Qt dependencies
+	set -eu && \
+	VERSION=${DEB_VERSION_UPSTREAM:+dfsg=} && \
+	QT_VERSION=$$(qmake -query QT_VERSION) && \
+	sed -i "s/$$VERSION /$$QT_VERSION /" debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/*/*Config.cmake
 
 override_dh_auto_install-indep: override_dh_auto_install-arch
 	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
@@ -186,3 +177,15 @@
 
 override_dh_auto_test-indep:
 	# Do not attempt to run anything to make build-indep work
+
+export define GET_FILES_EXCLUDED
+from debian import copyright
+with open('$(CURDIR)/debian/copyright') as copyright_file:
+    c = copyright.Copyright(copyright_file)
+for pattern in c.header.files_excluded:
+    print(pattern)
+endef
+
+get-orig-source:
+	@set -eux && \
+	TEMPDIR=$$(mktemp -d) && \
